当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : HOWTO: 为 Linux 安装 DC++
帖子发表于 : 2005-04-21 0:00 
头像

注册: 2005-03-26 9:38
帖子: 521
送出感谢: 0 次
接收感谢: 0 次
Hey Y'all! I just successfully installed DC++ for linux, that means, no confusing dcgui or dcgui-qt. It looks and behaves just like DC++ for Windows, but it looks better, even. No longer do I have to go through wine, and that makes me happy.
图片
First, you must download the sources from the linuxdcpp website via cvs. They do not have any binaries available.
so:
$ sudo cvs -dserver:anonymous@cvs.linuxdcpp.berlios.de:/cvsroot/linuxdcpp login
(leave password blank and hit enter)

$ cvs -z3 -dserver:anonymous@cvs.linuxdcpp.berlios.de:/cvsroot/linuxdcpp co linuxdcpp

(This put a linuxdcpp folder in my home directory. I left it there, you may move it somewhere else if you would like to. Just keep in mind that the commands that follow assume the folder is in your home directory)

Ok, so you have the sources now, but you need to compile them and ubuntu does not come packaged with all the requirements. you need:

Gtk+ 2.4 (in repositories, get libgtk2.0-dev)
libglade 2.4 (download source and compile)
pthread (in repositories as kaffe-pthreads, i do not know if this was the file to which they were referring, but it worked for me)
zlib (in repositories, you need zlib1g-dev)
libbz2 (in repositories, you need libbz2-dev))
scons (in repositories as scons)
g++ 3.4 (in repositories as g++-3.4)

Most of the stuff can be found in the repositories. However, I could not find libglade 2.4 so the next part of this howto is how to get and install libglade 2.4.

Go to http://www.zentek-international.com...s/libglade/2.4/ and download the most recent sources.
Extract them to a directory, I use ~/src (i made that directory for myself for sources i download)
To compile this, you will need to get:

libglib2.0-dev (in repositories as libglib2.0-dev)
libxml1 (in repositories as libxml1)
libxml2-dev (in repositories as libxml2-dev)

and whatever else you get yelled at for when trying to ./configure
so:

$ cd ~/src/libglade-2.4*
$ sudo ./configure
$ sudo make
$sudo make install

(So, hopefully, libglade-2.4 has successfully installed. Next is to install the actual dcpp program so switch to the linuxdcpp directory that you downloaded)

$ cd ~/linuxdcpp (mine was my home folder)

(then run scons, which compiles the program for you)

$ sudo scons

And there you have it. It should work. The executable is in the ~/linuxdcpp directory. You should just be able to double click on it to run the program. To get it to show up in the the Gnome menu however, you will need to get the program Menu Editor. You can find that here. To install this program, download it, then switch to the directory to which you downloaded the .deb file and:
$ sudo dpkg -i menueditor*
Then open the program, which can be found in Applications>System Tools>Menu Editor. On the right, Enter the name you would like to show up in the menu, any comments you would like to enter about dcpp, and the command which will be /directory/in/which/the/executable/subsides/dcpp, select an icon if that pleases you, and a category. Click save, exit menueditor and see if your program works (I hope it does!)

Well, good luck with this. I do not know how many people use DC++, but hopefully this howto works for those who want to.

This is my first howto, and I'm sure it needs work. Please, give me your feedback and I will edit the howto as needed. I did alot of it from memory, as I didn't get the idea to write a howto for this until after I installed dcpp, and I didnt really feel like going through the entire install again. Sorry. So, you may have to experiment with which packages need installing, precisely, to get the ./configure and scons commands to complete, as I do not precisely remember which ones I needed to install. Sorry about that。


页首
 用户资料  
 
2 楼 
 文章标题 : 译文如下
帖子发表于 : 2005-04-25 10:54 

注册: 2005-04-09 15:02
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
译者: i3dmaster


咳大家好!刚把DC++ Linux版安装好了, 也就是说dcgui或是dcgui-gt不再会混淆了. 它的作用和界面就和windows版的DC++一样,不过好像看上去要更好一点。也不用再在wine下运行了,真是非常高兴。

图片

首先, 你必须用cvs从linuxdcpp站上下载它的源码。他们没有编译好的二进制文档。

所以:
$ sudo cvs -dserver:anonymous@cvs.linuxdcpp.berlios.de:/cvsroot/linuxdcpp login(没有密码,直接回车)

$ cvs -z3 -dserver:anonymous@cvs.linuxdcpp.berlios.de:/cvsroot/linuxdcpp co linuxdcpp

(这会在你的用户目录下创建一个linuxdcpp目录。 我就把它发在了那, 当然你愿意的话可以移动到别的地方。不过要提醒注意的是下面所有的命令都将假设这个目录是在你的用户目录下。)

好了, 现在你有了源码, 不过你还得编译它,而ubuntu并没有安装所有的关联包,所以你还得需要:

Gtk+ 2.4 (在下载源中,是libgtk2.0-dev)
libglade 2.4 (下载源码,然后编译)
pthread (下载源中是kaffe- pthreads,不是很确定这是不是他们所需要的那个包,不过我这还是能用。)
zlib (源中是zlib1g-dev)o
libbz2 (源中是libbz2-dev)
scons(源中是scons)
g++ 3.4(源中是g++-3.4)

上面大部分都可以从下载源中获得, 但是我找不到libglade 2. 4,所以下一步就是手工编译它,那么你需要:

libglib2.0-dev (源中是libglib2.0-dev)
libxml1 (源中是libxml1)
libxml2-dev (源中是libxml2-dev)

还有所有的其他那些在configure中没有找到的包。

然后:

$ cd ~/src/libglade-2.4*
$ sudo ./configure
$ sudo make
$sudo make install

(好了, 希望这时候libglade-2.4已经成功的安装好了。 那么下一步就是安装真正的dcpp程序。将你的目录转到linuxdcpp那个目录下)

$ cd ~/linuxdcpp (我的是在我的用户根目录下)

(然后运行scons,由它来编译程序)
完成后你就有这个程序了。它应该是可以运行的。执行文件是在~/linuxdcpp目录下。你应该可以双击来运行它。如果要让它在GNOME的菜单中出现,那么,你还得需要GNOME Menu Editor(GNOME菜单编辑器)你可以在这里找到它。下载后安装它的方法是,转到你下载的目录,运行:
$ sudo dpkg -i menueditor*
然后从Applications>System Tools>Menu Editor来运行编辑器。在右边的窗口输入你想在菜单中看到的名称,一些关于dcpp的注释性的描述,还有就是执行文件,/directory/in/which/the/executable/subsides/dcpp。 高兴的话还可以选择图标和类别。点击Save(保存),退出然后看看你的程序是否能运行(我希望是!)

祝你好运吧。我不太清楚有多少人用DC++, 只是希望这个Howto能够帮上那些想用的人。

这是我的第一个Howto,肯定还有许多要修改的地方。请大家多给我提反馈意见,我会加以修改。我基本上是靠记忆来写出的,因为装的时候没想着要记录下来写成Howto。我没很觉得好像又重新安装了一遍。所以,对不起,你也许自己也得看看还有些什么包要装,特别是那些configure和scons声明要安装的包。我也是记不住当时到底哪些包要装了,不好意思了。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2005-05-01 15:23 
论坛管理员

注册: 2005-03-27 0:06
帖子: 10110
系统: Ubuntu 12.04
送出感谢: 7
接收感谢: 127
http://www.ubuntu.org.cn/docs/UserDocum ... ument_view


_________________
当净其意如虚空,远离妄想及诸取,令心所向皆无碍


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2005-05-24 3:43 

注册: 2005-05-21 20:22
帖子: 22
送出感谢: 0 次
接收感谢: 0 次
http://www.ubuntuforums.org/showthread.php?t=28378

作者更正了过程,现在可行了。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2005-05-24 9:05 
论坛管理员

注册: 2005-03-27 0:06
帖子: 10110
系统: Ubuntu 12.04
送出感谢: 7
接收感谢: 127
Hey Y'all! I just successfully installed DC++ for linux, that means, no confusing dcgui or dcgui-qt. It looks and behaves just like DC++ for Windows, but it looks better, even. No longer do I have to go through wine, and that makes me happy. Here's a helpful howto to get you running DC++ natively in linux.



Here goes:
First, you must download the sources from the linuxdcpp website via cvs. They do not have any binaries available.
so:
Code:

$ sudo cvs -d:pserver:anonymous@cvs.linuxdcpp.berlios.de:/cvsroot/linuxdcpp login (leave password blank and hit enter) $ cvs -z3 -d:pserver:anonymous@cvs.linuxdcpp.berlios.de:/cvsroot/linuxdcpp co linuxdcpp



(This put a linuxdcpp folder in my home directory. I left it there, you may move it somewhere else if you would like to. Just keep in mind that the commands that follow assume the folder is in your home directory)

Ok, so you have the sources now, but you need to compile them and ubuntu does not come packaged with all the requirements. you need:

libgtk2.0-dev
libgtkmm-2.4-dev
libglademm-2.4-dev
zlib1g-dev
libbz2-dev
g++-3.4
libgtk2.0-bin
libgtk2.0-0
libgtk2.0-common
libgtkmm-2.4-1
libglademm-2.4-1

To make sure this is all installed apt-get the following. The packages you have installed already will be ignored, or upgraded (I think)
Code:

sudo apt-get install libgtk2.0-dev libgtkmm-2.4-dev libglademm-2.4-dev zlib1g-dev libbz2-dev g++-3.4 libgtk2.0-0 libgtk2.0-bin libgtk2.0-common g++ libgtkmm-2.4-1 libglademm-2.4-1 scons



Also apt-get install your kernel headers.

This next part is apparently unnecessary. (Thanks to Chousuke for pointing that out) But I don't really feel like removing it because it took me a while.... So ignore the immediately following quote insert, unless you get a missing libglade error when running scons later on.
Quote:
Most of the stuff can be found in the repositories. However, I could not find libglade 2.4 so the next part of this howto is how to get and install libglade 2.4.

Go to http://www.zentek-international.com...s/libglade/2.4/ and download the most recent sources.
Extract them to a directory, I use ~/src (i made that directory for myself for sources i download)
To compile this, you will need to apt-get:
Code:

sudo apt-get install libglib2.0-dev libxml1 libxml2-dev



and apt-get whatever else you get yelled at for when trying to ./configure
so:
Code:

$ cd ~/src/libglade-2.4* $ sudo ./configure $ sudo make $sudo make install



(So, hopefully, libglade-2.4 has successfully installed.


Next is to install the actual dcpp program so switch to the linuxdcpp directory that you downloaded)
Code:

$ cd ~/linuxdcpp (mine was my home folder) (then run scons, which compiles the program for you) $ sudo scons



And there you have it. It should work. The executable is in the ~/linuxdcpp directory. You should just be able to double click on it to run the program. To get it to show up in the the Gnome menu however, you will need to get the program Menu Editor. You can find that here. To install this program, download it, then switch to the directory to which you downloaded the .deb file and:
Code:

$ sudo dpkg -i menueditor*


Then open the program, which can be found in Applications>System Tools>Menu Editor. On the right, Enter the name you would like to show up in the menu, any comments you would like to enter about dcpp, and the command which will be:
Code:

/directory/in/which/the/executable/subsides/dcpp

, select an icon if that pleases you, and a category. Click save, exit menueditor and see if your program works (I hope it does!)

Well, good luck with this. I do not know how many people use DC++, but hopefully this howto works for those who want to use it.

This is my first howto, and I'm sure it needs work. Please, give me your feedback and I will edit the howto as needed.

(Edited 5/20/05 @ 1:30 pm to clean stuff up, added Chousuke's info in here, so thanks to him for that.)


_________________
当净其意如虚空,远离妄想及诸取,令心所向皆无碍


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-07-31 20:11 
头像

注册: 2005-07-02 14:41
帖子: 4133
系统: Ubuntu 14.04 (Kylin)
送出感谢: 53
接收感谢: 11
先放着


_________________
https://weakish.github.io


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译